Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040929
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-05-21 18:292019-06-15 04:40
ReporterngarciaView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisione47580fddafc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040929: In Count Cash step of Cash Up amounts in foreign currencies are rounded to the POS currency precision

DescriptionIn Count Cash step of Cash Up amounts in foreign currencies are rounded to the POS currency precision
Steps To ReproduceConfigure the Format.xml to show 3 decimals in euro (amounts) and price formats

As System Admin role:
   Set the following POS Precision:
      EUR: 0
      USD: 2
      OMR: 3

As group admin:
   Define the following conversions:
      OMR -> EUR: 9
      USD -> EUR: 3.6

   Configure the Touchpoint to accept payments in EUR, USD and OMR

In the POS:
   Create a new ticket and add a product
   Check its price to 444
   Add a payment in USD (123.33)

   Create a new ticket and add a product
   Check its price to 1111
   Add a payment in OMR (123.444)

   Do the Cash Up
   Check that in Step 2 (Count Cash) the amounts in foreign currency are converted to 0 decimals (attached a screenshot)
TagsNo tags attached.
Attached Filespng file icon CashUpMultiCurrency.png [^] (95,523 bytes) 2019-05-21 18:29

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040928 resolvedrqueralta The precision of the financial account currency is not used in transactions when paying a ticket with a different currency 

-  Notes
(0112797)
hgbot (developer)
2019-06-15 04:40

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: e47580fddafcbf753a44ba3f9a918ed1c164f59a
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Thu Jun 13 16:26:35 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e47580fddafcbf753a44ba3f9a918ed1c164f59a [^]

Fixed issue 40929: In Count Cash step of Cash Up amounts in foreign currencies
are rounded to the POS currency precision

- Taked into account the foreing currency precision in cash up process

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
---

- Issue History
Date Modified Username Field Change
2019-05-21 18:29 ngarcia New Issue
2019-05-21 18:29 ngarcia Assigned To => Retail
2019-05-21 18:29 ngarcia File Added: CashUpMultiCurrency.png
2019-05-21 18:29 ngarcia Triggers an Emergency Pack => No
2019-05-21 18:29 ngarcia Relationship added related to 0040928
2019-05-28 05:04 rqueralta Assigned To Retail => rqueralta
2019-05-28 05:04 rqueralta Status new => scheduled
2019-06-15 04:40 hgbot Checkin
2019-06-15 04:40 hgbot Note Added: 0112797
2019-06-15 04:40 hgbot Status scheduled => resolved
2019-06-15 04:40 hgbot Resolution open => fixed
2019-06-15 04:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e47580fddafcbf753a44ba3f9a918ed1c164f59a [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker